Subject: Re: [RFC v2 5/7] net: netfilter conntrack - add per-net functionality for TCP protocol

From: Patrick McHardy <[email-masked]>
Date: Thu, 26 Mar 2009 16:46:16 +0100

Cyrill Gorcunov wrote:
> Yes, no problem, wait a bit please.
> 
> Btw, I think the bestest way (and surely more clean)
> would be to use some new form of the sysctl templates.
> 
> But I didn't find such a form of writting which would
> sutisfy me. Since you said those enums are written in
> stone it's safe to use iterative fasion indeed but
> as I see you found them not that "pretty" too :)

I just like the code structure with all definitions and initializations
at the top better. But that obviously isn't possible with network
namespaces, so just ignore me :)

> On the other hand -- if per-net initialization is not
> that critical in speed (ie some speed could be sacrificed
> for the code clarity -- I could play with those templates
> maybe). Just a thought.

For now lets just get this stuff in since I think its about the last
bits for full netfilter namespace support. I'll happily take further
cleanups of course, but I don't think its worth delaying this any
longer.